summaryrefslogtreecommitdiffstats
path: root/source/l/libsigc++/libsigc++.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-03-23 02:15:21 +0000
committer Eric Hameleers <alien@slackware.com>2021-03-23 08:59:55 +0100
commit88111a3a1f332ee98ec6099f1a11b1f34b655b76 (patch)
tree64e9c54978094375e7754f09f36fe5201ec55501 /source/l/libsigc++/libsigc++.SlackBuild
parent5125a37b0c8dab963f7dd46cd21402d9f410e6da (diff)
downloadcurrent-88111a3a1f332ee98ec6099f1a11b1f34b655b76.tar.gz
current-88111a3a1f332ee98ec6099f1a11b1f34b655b76.tar.xz
Tue Mar 23 02:15:21 UTC 202120210323021521
a/kernel-firmware-20210322_3f026a2-noarch-1.txz: Upgraded. ap/man-pages-5.11-noarch-1.txz: Upgraded. ap/rpm-4.16.1.3-x86_64-1.txz: Upgraded. d/parallel-20210322-noarch-1.txz: Upgraded. d/python-setuptools-54.2.0-x86_64-1.txz: Upgraded. kde/digikam-7.2.0-x86_64-1.txz: Upgraded. l/libsigc++-2.10.6-x86_64-1.txz: Upgraded. n/alpine-2.24-x86_64-4.txz: Rebuilt. Rebuilt with maildir patch. Thanks to pisti and Eleksir. n/getmail-6.15-x86_64-1.txz: Upgraded. n/libgpg-error-1.42-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libsigc++/libsigc++.SlackBuild')
-rwxr-xr-xsource/l/libsigc++/libsigc++.SlackBuild50
1 files changed, 27 insertions, 23 deletions
diff --git a/source/l/libsigc++/libsigc++.SlackBuild b/source/l/libsigc++/libsigc++.SlackBuild
index afb3d2da3..3c4e3a07e 100755
--- a/source/l/libsigc++/libsigc++.SlackBuild
+++ b/source/l/libsigc++/libsigc++.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libsigc++
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+SRCNAM=libsigc++
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -64,9 +65,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf libsigcplusplus-$VERSION $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
-cd libsigcplusplus-$VERSION || cd $PKGNAM-$VERSION || exit 1
+rm -rf $SRCNAM-$VERSION $PKGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,30 +75,33 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-if [ ! -r configure ]; then
- autoreconf -vif
-fi
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS -std=c++11" \
- ./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --enable-static=no \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS libdocdir=/usr/doc/$PKGNAM-$VERSION || make libdocdir=/usr/doc/$PKGNAM-$VERSION || exit 1
-make install libdocdir=/usr/doc/$PKGNAM-$VERSION DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dmaintainer-mode=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING* INSTALL NEWS README* \
$PKG/usr/doc/$PKGNAM-$VERSION